summaryrefslogtreecommitdiffstats
path: root/source/a/grub
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-09-10 18:58:52 +0000
committer Eric Hameleers <alien@slackware.com>2021-09-11 08:59:54 +0200
commita6160c7f56c451aa827678063c6ce95b7b4e404e (patch)
treecb8376b0fbde3051cb1ff2a5fb37829da2a3588c /source/a/grub
parent322eeb760b467e9e0862765a8112d3c5c6fb16b2 (diff)
downloadcurrent-a6160c7f56c451aa827678063c6ce95b7b4e404e.tar.gz
current-a6160c7f56c451aa827678063c6ce95b7b4e404e.tar.xz
Fri Sep 10 18:58:52 UTC 202120210910185852
a/grub-2.06-x86_64-4.txz: Rebuilt. Install file in /etc/grub.d as .new so that they won't be clobbered by future package updates. Patch grub-mkconfig to skip .new files in /etc/grub.d. Thanks to denydias. d/bison-3.7.6-x86_64-1.txz: Upgraded. Reverted bison-3.8 since it breaks building glibc. Looks like I picked the wrong week to upgrade bison. ;-) Thanks to nobodino. l/jansson-2.14-x86_64-1.txz: Upgraded. l/libcap-2.57-x86_64-1.txz: Upgraded. l/liburing-2.1-x86_64-1.txz: Upgraded. xap/libnma-1.8.32-x86_64-2.txz: Rebuilt. Added glib-compile-schemas to the install script. Thanks to bormant. xap/network-manager-applet-1.24.0-x86_64-2.txz: Rebuilt. Removed glib-compile-schemas from the install script. Thanks to bormant.
Diffstat (limited to 'source/a/grub')
-rw-r--r--source/a/grub/0001-skip-new-files-in-etc-grub.d.patch11
-rw-r--r--source/a/grub/doinst.sh6
-rwxr-xr-xsource/a/grub/grub.SlackBuild11
3 files changed, 23 insertions, 5 deletions
diff --git a/source/a/grub/0001-skip-new-files-in-etc-grub.d.patch b/source/a/grub/0001-skip-new-files-in-etc-grub.d.patch
new file mode 100644
index 000000000..e1b4b8dcc
--- /dev/null
+++ b/source/a/grub/0001-skip-new-files-in-etc-grub.d.patch
@@ -0,0 +1,11 @@
+--- ./util/grub-mkconfig.in.orig 2021-03-10 07:42:22.000000000 -0600
++++ ./util/grub-mkconfig.in 2021-09-10 13:33:17.602163090 -0500
+@@ -278,6 +278,8 @@
+ *~) ;;
+ # emacsen autosave files. FIXME: support other editors
+ */\#*\#) ;;
++ # Slackware incoming config files should be skipped as well:
++ *.new) ;;
+ *)
+ if grub_file_is_not_garbage "$i" && test -x "$i" ; then
+ echo
diff --git a/source/a/grub/doinst.sh b/source/a/grub/doinst.sh
index 20b6c34e2..54c06904f 100644
--- a/source/a/grub/doinst.sh
+++ b/source/a/grub/doinst.sh
@@ -11,6 +11,8 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-config etc/grub.d/40_custom.new
-rm -f etc/grub.d/40_custom.new
+# Process config files in etc/grub.d/:
+for file in etc/grub.d/*.new ; do
+ config $file
+done
config etc/default/grub.new
diff --git a/source/a/grub/grub.SlackBuild b/source/a/grub/grub.SlackBuild
index 7cf8b5b26..56f0c0beb 100755
--- a/source/a/grub/grub.SlackBuild
+++ b/source/a/grub/grub.SlackBuild
@@ -28,7 +28,7 @@ PKGNAM=grub
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# Better to use _ than ~ in the package filenames version:
PKGVER=$(echo $VERSION | tr '~' '_')
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -115,6 +115,9 @@ zcat $CWD/0198-align-struct-efi_variable-better.patch.gz | patch -p1 --verbose |
# Fix unreadable XFS filesystem with v4 superblock:
zcat $CWD/a4b495520e4dc41a896a8b916a64eda9970c50ea.patch.gz | patch -p1 --verbose || exit 1
+# Skip processing any files in /etc/grub.d/ that end in .new:
+zcat $CWD/0001-skip-new-files-in-etc-grub.d.patch.gz | patch -p1 --verbose || exit 1
+
# Regenerate build system to fix dependency on outdated automake:
autoreconf -vif
@@ -151,8 +154,10 @@ fi
# Always end with regular build:
build_grub || exit 1
-# Preserve the contents of /etc/grub.d/40_custom:
-mv $PKG/etc/grub.d/40_custom $PKG/etc/grub.d/40_custom.new
+# Preserve files in /etc/grub.d/:
+for file in $PKG/etc/grub.d/*_* ; do
+ mv ${file} ${file}.new
+done
# Strip binaries:
( cd $PKG